org.eclipse.wst.jsdt.debug.core.breakpoints

## Interface IJavaScriptFunctionBreakpoint

All Superinterfaces:
  IJavaScriptBreakpoint, IJavaScriptLineBreakpoint

    public interface IJavaScriptFunctionBreakpoint
    extends IJavaScriptLineBreakpoint

Abstract description of a JavaScript function breakpoint

Since:
  1.0

### Field Summary

Fields
`static java.lang.String` `FUNCTION_NAME` The id of the attribute for the function name
`static java.lang.String` `FUNCTION_SIGNAURE` The id of the attribute for a method signature
`static java.lang.String` `MARKER_ID` Registered marker id for a JavaScript function breakpoint

### Fields inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`ELEMENT_HANDLE, HIT_COUNT, SCRIPT_PATH, SUSPEND_POLICY, SUSPEND_TARGET, SUSPEND_THREAD, TYPE_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFunctionName()` Returns the function name set in the breakpoint.
`java.lang.String` `getSignature()` Returns the function signature set in the breakpoint.
`boolean` `isEntry()` Returns if the breakpoint will suspend when the function is entered.
`boolean` `isExit()` Returns if the breakpoint will suspend when the function is exited.
`void` `setEntry(boolean isentry)` Sets if this will be a function entry breakpoint.
`void` `setExit(boolean isexit)` Sets if this will be a function exit breakpoint.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`getHitCount, getJavaScriptElementHandle, getScriptPath, getSuspendPolicy, getTypeName, isInstalled, setHitCount, setJavaScriptElementHandle, setSuspendPolicy`

### Field Detail

#### FUNCTION_SIGNAURE

    static final java.lang.String FUNCTION_SIGNAURE

The id of the attribute for a method signature

See Also:
  Constant Field Values

#### FUNCTION_NAME

    static final java.lang.String FUNCTION_NAME

The id of the attribute for the function name

See Also:
  Constant Field Values

#### MARKER_ID

    static final java.lang.String MARKER_ID

Registered marker id for a JavaScript function breakpoint

See Also:
  Constant Field Values

### Method Detail

#### isEntry

    boolean isEntry()
             throws CoreException

Returns if the breakpoint will suspend when the function is entered.

Returns:
  `true` if the breakpoint is set to suspend when entering the function `false` otherwise
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### setEntry

    void setEntry(boolean isentry)
           throws CoreException

Sets if this will be a function entry breakpoint.

Parameters:
  `isentry` - if the breakpoint should suspend when the function is entered
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### isExit

    boolean isExit()
            throws CoreException

Returns if the breakpoint will suspend when the function is exited.

Returns:
  `true` if the breakpoint is set to suspend when exiting the function `false` otherwise
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### setExit

    void setExit(boolean isexit)
          throws CoreException

Sets if this will be a function exit breakpoint.

Parameters:
  `isexit` - if the breakpoint should suspend when the function is exited
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### getFunctionName

    java.lang.String getFunctionName()
                              throws CoreException

Returns the function name set in the breakpoint.

Returns:
  the function name or `null` if none
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### getSignature

    java.lang.String getSignature()
                           throws CoreException

Returns the function signature set in the breakpoint.

Returns:
  the function signature or `null` if none
Throws:
  `CoreException` - if the breakpoint cannot be accessed